package com.zipcodewilmington.productmanager;

import java.util.ArrayList;
import java.util.List;

public class Inventory {
    private List<Product> productList;

    public Inventory(List<Product> productList) {
        this.productList = productList;
    }

    public Inventory() {
        this.productList = new ArrayList<Product>();
    }

    public void add(Product product) {
        productList.add(product);


    }

    public List<Product> getProductList() {


    }

    public Boolean contains(Product product) {
      return productList.contains(product);


    }

    public void remove(Product product) {
        productList.remove(product);

    }

    public int size() {
         return productList.size();

    }

    public Double getTotalValue(){
        double sum = 0;
        for(Product product : productList) {
            sum += product.getPrice() * product.getQuantity();
        }
        return sum;

    }

}
